Status: Closed

Priority: Low

Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11788

Description

Please add r.li http://grass.osgeo.org/grass64/manuals/html64_user/r.li.html module. This is not straightforward, as it requires complex

setup, currently done in grass via tcl/tk interfaces, see http://grass.osgeo.org/grass64/manuals/html64_user/r.li.setup.html

History

#1 - 2009-08-13 12:25 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

Now the embedded GRASS shell can call the tcl/tk interface, so this is fixed. In the long term a better solution should be found however.

The general problems with the GRASS shell in Windows remain, of course.

#2 - 2010-11-12 05:01 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

[[TclTk]] support will be dropped from GRASS. We therefore need a better long term solution. The best approach seems to withe a QGIS python plugin

calling the relavant GRASS commands.

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2013-09-09 05:46 AM - Paolo Cavallini

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Status changed from Feedback to Open

#5 - 2014-06-23 01:37 AM - Paolo Cavallini

Most of these functions are now available through http://plugins.qgis.org/plugins/LecoS/

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2018-02-24 03:32 PM - Paolo Cavallini
Still true. Less important now, some of the indices are available through a Processing plugin.

#8 - 2018-02-24 03:34 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Open to Closed
